org.eclnt.jsfserver.elements.componentnodes

## Class BROWSERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.BROWSERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class BROWSERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BROWSERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BROWSERNode` | `bindActionListener(IActionListenerDelegation value)`
    `BROWSERNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `BROWSERNode` | `bindAllowfullscreen(IDynamicContentBindingObject value)`
    `BROWSERNode` | `bindAnimatechangeofsize(IDynamicContentBindingObject value)`
    `BROWSERNode` | `bindBrowser(IDynamicContentBindingObject value)`
    `BROWSERNode` | `bindColspan(IDynamicContentBindingObject value)`
    `BROWSERNode` | `bindComment(IDynamicContentBindingObject value)`
    `BROWSERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `BROWSERNode` | `bindCookies(IDynamicContentBindingObject value)`
    `BROWSERNode` | `bindCurrenturl(IDynamicContentBindingObject value)`
    `BROWSERNode` | `bindEnabled(IDynamicContentBindingObject value)`
    `BROWSERNode` | `bindHeight(IDynamicContentBindingObject value)`
    `BROWSERNode` | `bindHighlightid(IDynamicContentBindingObject value)`
    `BROWSERNode` | `bindOwnnewbrowserinstances(IDynamicContentBindingObject value)`
    `BROWSERNode` | `bindRendered(IDynamicContentBindingObject value)`
    `BROWSERNode` | `bindRowalignmenty(IDynamicContentBindingObject value)`
    `BROWSERNode` | `bindShadow(IDynamicContentBindingObject value)`
    `BROWSERNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `BROWSERNode` | `bindTriggerprint(IDynamicContentBindingObject value)`
    `BROWSERNode` | `bindUrl(IDynamicContentBindingObject value)`
    `BROWSERNode` | `bindWidth(IDynamicContentBindingObject value)`
    `BROWSERNode` | `bindX(IDynamicContentBindingObject value)`
    `BROWSERNode` | `bindY(IDynamicContentBindingObject value)`
    `BROWSERNode` | `setActionListener(java.lang.String value)`
    `BROWSERNode` | `setAdapterbinding(java.lang.String value)`
    `BROWSERNode` | `setAllowfullscreen(boolean value)`
    `BROWSERNode` | `setAllowfullscreen(java.lang.String value)`
    `BROWSERNode` | `setAnimatechangeofsize(boolean value)`
    `BROWSERNode` | `setAnimatechangeofsize(java.lang.String value)`
    `BROWSERNode` | `setAttributemacro(java.lang.String value)`
    `BROWSERNode` | `setBrowser(java.lang.String value)`
    `BROWSERNode` | `setColspan(int value)`
    `BROWSERNode` | `setColspan(java.lang.String value)`
    `BROWSERNode` | `setComment(java.lang.String value)`
    `BROWSERNode` | `setConfiginfo(java.lang.String value)`
    `BROWSERNode` | `setCookies(java.lang.String value)`
    `BROWSERNode` | `setCurrenturl(java.lang.String value)`
    `BROWSERNode` | `setEnabled(boolean value)`
    `BROWSERNode` | `setEnabled(java.lang.String value)`
    `BROWSERNode` | `setHeight(int value)`
    `BROWSERNode` | `setHeight(java.lang.String value)`
    `BROWSERNode` | `setHighlightid(java.lang.String value)`
    `BROWSERNode` | `setId(java.lang.String value)`
    `BROWSERNode` | `setOwnnewbrowserinstances(boolean value)`
    `BROWSERNode` | `setOwnnewbrowserinstances(java.lang.String value)`
    `BROWSERNode` | `setReference(java.lang.String value)`
    `BROWSERNode` | `setRendered(boolean value)`
    `BROWSERNode` | `setRendered(java.lang.String value)`
    `BROWSERNode` | `setRowalignmenty(java.lang.String value)`
    `BROWSERNode` | `setShadow(java.lang.String value)`
    `BROWSERNode` | `setStylevariant(java.lang.String value)`
    `BROWSERNode` | `setTriggerprint(java.lang.String value)`
    `BROWSERNode` | `setUrl(java.lang.String value)`
    `BROWSERNode` | `setWidth(int value)`
    `BROWSERNode` | `setWidth(java.lang.String value)`
    `BROWSERNode` | `setX(int value)`
    `BROWSERNode` | `setX(java.lang.String value)`
    `BROWSERNode` | `setY(int value)`
    `BROWSERNode` | `setY(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BROWSERNode

          public BROWSERNode()

  - ### Method Detail

    - #### setId

          public BROWSERNode setId(java.lang.String value)

    - #### setActionListener

          public BROWSERNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public BROWSERNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public BROWSERNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public BROWSERNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAllowfullscreen

          public BROWSERNode setAllowfullscreen(java.lang.String value)

    - #### bindAllowfullscreen

          public BROWSERNode bindAllowfullscreen(IDynamicContentBindingObject value)

    - #### setAllowfullscreen

          public BROWSERNode setAllowfullscreen(boolean value)

    - #### setAnimatechangeofsize

          public BROWSERNode setAnimatechangeofsize(java.lang.String value)

    - #### bindAnimatechangeofsize

          public BROWSERNode bindAnimatechangeofsize(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public BROWSERNode setAnimatechangeofsize(boolean value)

    - #### setAttributemacro

          public BROWSERNode setAttributemacro(java.lang.String value)

    - #### setBrowser

          public BROWSERNode setBrowser(java.lang.String value)

    - #### bindBrowser

          public BROWSERNode bindBrowser(IDynamicContentBindingObject value)

    - #### setColspan

          public BROWSERNode setColspan(java.lang.String value)

    - #### bindColspan

          public BROWSERNode bindColspan(IDynamicContentBindingObject value)

    - #### setColspan

          public BROWSERNode setColspan(int value)

    - #### setComment

          public BROWSERNode setComment(java.lang.String value)

    - #### bindComment

          public BROWSERNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public BROWSERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public BROWSERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setCookies

          public BROWSERNode setCookies(java.lang.String value)

    - #### bindCookies

          public BROWSERNode bindCookies(IDynamicContentBindingObject value)

    - #### setCurrenturl

          public BROWSERNode setCurrenturl(java.lang.String value)

    - #### bindCurrenturl

          public BROWSERNode bindCurrenturl(IDynamicContentBindingObject value)

    - #### setEnabled

          public BROWSERNode setEnabled(java.lang.String value)

    - #### bindEnabled

          public BROWSERNode bindEnabled(IDynamicContentBindingObject value)

    - #### setEnabled

          public BROWSERNode setEnabled(boolean value)

    - #### setHeight

          public BROWSERNode setHeight(java.lang.String value)

    - #### bindHeight

          public BROWSERNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public BROWSERNode setHeight(int value)

    - #### setHighlightid

          public BROWSERNode setHighlightid(java.lang.String value)

    - #### bindHighlightid

          public BROWSERNode bindHighlightid(IDynamicContentBindingObject value)

    - #### setOwnnewbrowserinstances

          public BROWSERNode setOwnnewbrowserinstances(java.lang.String value)

    - #### bindOwnnewbrowserinstances

          public BROWSERNode bindOwnnewbrowserinstances(IDynamicContentBindingObject value)

    - #### setOwnnewbrowserinstances

          public BROWSERNode setOwnnewbrowserinstances(boolean value)

    - #### setReference

          public BROWSERNode setReference(java.lang.String value)

    - #### setRendered

          public BROWSERNode setRendered(java.lang.String value)

    - #### bindRendered

          public BROWSERNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public BROWSERNode setRendered(boolean value)

    - #### setRowalignmenty

          public BROWSERNode setRowalignmenty(java.lang.String value)

    - #### bindRowalignmenty

          public BROWSERNode bindRowalignmenty(IDynamicContentBindingObject value)

    - #### setShadow

          public BROWSERNode setShadow(java.lang.String value)

    - #### bindShadow

          public BROWSERNode bindShadow(IDynamicContentBindingObject value)

    - #### setStylevariant

          public BROWSERNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public BROWSERNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setTriggerprint

          public BROWSERNode setTriggerprint(java.lang.String value)

    - #### bindTriggerprint

          public BROWSERNode bindTriggerprint(IDynamicContentBindingObject value)

    - #### setUrl

          public BROWSERNode setUrl(java.lang.String value)

    - #### bindUrl

          public BROWSERNode bindUrl(IDynamicContentBindingObject value)

    - #### setWidth

          public BROWSERNode setWidth(java.lang.String value)

    - #### bindWidth

          public BROWSERNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public BROWSERNode setWidth(int value)

    - #### setX

          public BROWSERNode setX(java.lang.String value)

    - #### bindX

          public BROWSERNode bindX(IDynamicContentBindingObject value)

    - #### setX

          public BROWSERNode setX(int value)

    - #### setY

          public BROWSERNode setY(java.lang.String value)

    - #### bindY

          public BROWSERNode bindY(IDynamicContentBindingObject value)

    - #### setY

          public BROWSERNode setY(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.